%define		BUILD_THINCLIENT_RPM 0
%define		buildnum 297975
Name:		VMware-view-open-client
Version:	4.5.0
Release:	15.1
Summary:	VMware View Open Client
Group:		Applications/Internet
License:	LGPLv2
AutoreqProv:	on
Source0:	%{name}-source-%{version}-%{buildnum}.tar.gz
Patch0:		vmware-view-desktop.patch
Requires:	rdesktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:	VMware-vdm-client = %{version}
Obsoletes:	VMware-vdm-client < %{version}
Conflicts:	VMware-view-client-lite

BuildRequires:	gcc-c++
BuildRequires:	boost-devel >= 1.34.1
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	libcurl-devel >= 7.16.0
BuildRequires:	libicu-devel >= 3.8
BuildRequires:	intltool >= 0.21
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif

%description
Allows users to connect to desktops on a View Connection Server.
%description -l de
Ermöglicht Benutzern die Verbindungsherstellung mit Desktops auf einem View Connection Server.
%description -l fr
Permet aux utilisateurs de se connecter à des postes de travail sur un View Connection Server.
%description -l ja
ユーザーは、View Connection Server 上のデスクトップに接続できます。

%package -n VMware-view-open-client-lite
Summary: VMware View Open Client 
Group: Applications/Internet
Requires: rdesktop-lite
Provides: VMware-vdm-thinclient = %{version}
Obsoletes: VMware-vdm-thinclient < %{version}
Conflicts: VMware-view-client

%description -n VMware-view-open-client-lite
Allows users to connect to desktops on a View Connection Server.
%description -l de -n VMware-view-open-client-lite
Ermöglicht Benutzern die Verbindungsherstellung mit Desktops auf einem View Connection Server.
%description -l fr -n VMware-view-open-client-lite
Permet aux utilisateurs de se connecter à des postes de travail sur un View Connection Server.
%description -l ja -n VMware-view-open-client-lite
ユーザーは、View Connection Server 上のデスクトップに接続できます。

%prep
%setup -n %{name}-source-%{version}-%{buildnum}
%patch0

%build
%configure \
 --with-boost=%{_prefix} \
 --with-boost-libdir=%{_libdir} || cat config.log

%__make

%install
%__make DESTDIR=%{buildroot} install
%if 0%{?suse_version}
%suse_update_desktop_file vmware-view
%suse_update_desktop_file -i vmware-view System Network "VMware View Open Client"
%endif

%post -n VMware-view-open-client-lite
/usr/sbin/squash-merge -m VMware-view-open-client-lite || true

%preun -n VMware-view-open-client-lite
/usr/sbin/squash-merge --unmerge VMware-view-open-client-lite || true
exit 0

%files
%defattr(-, root, root, -)
%attr(0755, root, root) "/usr/bin/vmware-view"
%attr(0755, root, root) "/usr/bin/vmware-view-tunnel"
%attr(0755, root, root) "/usr/bin/vmware-view-log-collector"
%dir "/usr/share/doc/VMware-view-open-client"
%doc "/usr/share/doc/VMware-view-open-client/README.txt"
%doc "/usr/share/doc/VMware-view-open-client/open_source_licenses.txt"
##doc "/usr/share/doc/VMware-view-open-client/VMware-view-open-client-EULA-*.txt"
%doc "/usr/share/doc/VMware-view-open-client/View_Client_Admin_Guide-*.pdf"
%dir "/usr/share/doc/VMware-view-open-client/help"
%dir "/usr/share/doc/VMware-view-open-client/help/*"
%doc "/usr/share/doc/VMware-view-open-client/help/*/*"
%dir "/usr/share/doc/VMware-view-open-client/patches"
%doc "/usr/share/doc/VMware-view-open-client/patches/rdesktop-1.6.0-win7scard.patch"
%doc "/usr/share/man/man1/vmware-view.1.gz"
%doc "/usr/share/man/man1/vmware-view-tunnel.1.gz"
%attr(0444, root, root) "/usr/share/pixmaps/vmware-view.png"
%attr(0444, root, root) "/usr/share/applications/vmware-view.desktop"
%attr(0444, root, root) "/usr/share/locale/*/*/*"

%if 0%{?BUILD_THINCLIENT_RPM} 
%files -n VMware-view-open-client-lite
%attr (400, root, root) "/var/lib/addons/VMware-view-open-client-lite.squash"
%endif
